%define	name		libpq++
%define	version		4.0
%define	release		1mdk
%define	major		4
%define finalname	%{name}%{major}

Summary:		C++ interface for PostgreSQL
Name:			%{name}
Version:		%{version}
Release:		%{release}
URL:			http://gborg.postgresql.org/project/libpqpp/projdisplay.php
License:		BSD
Source0:		%{name}-%{version}.tar.bz2
Patch0:			libpq++-4.0-Makefile.patch.bz2
Group:			System/Libraries
Requires:		libpq3
BuildRequires:		postgresql-devel libpq3 libpq3-devel libgcc libstdc++ openssl-devel
Obsoletes:		%{finalname}  = %{version}
Obsoletes:		%{name}
Provides:		%{finalname} = %{version}
Provides:		%{name}
BuildRoot:		%{_tmppath}/%{name}-%{version}-root

%description
This is the C++ interface that has shipped as part of PostgreSQL
until v7.2.3.

%package -n		%{finalname}
Summary:		C++ interface for PostgreSQL
Group:          	System/Libraries
Obsoletes:		%{finalname}  = %{version}
Obsoletes:		%{name}
Provides:		%{finalname} = %{version}
Provides:		%{name}

%description -n		%{finalname}
This is the C++ interface that has shipped as part of PostgreSQL
until v7.2.3.

%package -n		%{finalname}-devel
Summary:		Development library and header files for %{name}
Group:			Development/C++
Obsoletes:		%{finalname}-devel  = %{version}
Obsoletes:		%{name}-devel
Provides:		%{finalname}-devel = %{version}
Provides:		%{name}-devel
Requires:		%{finalname} = %{version}-%{release}

%description -n		%{finalname}-devel
This is the C++ interface that has shipped as part of PostgreSQL
until v7.2.3.

This package contains the %{name} library and its header files
needed to compile applications such as PowerDNS, etc.

%package -n		%{finalname}-static-devel
Summary:		Development static library for %{name}
Group:			Development/C++
Obsoletes:		%{finalname}-static-devel  = %{version}
Obsoletes:		%{name}-static-devel
Provides:		%{finalname}-static-devel = %{version}
Provides:		%{name}-static-devel
Requires:		%{finalname} = %{version}-%{release}

%description -n		%{finalname}-static-devel
This is the C++ interface that has shipped as part of PostgreSQL
until v7.2.3.

This package contains the static %{name} library file needed to
compile applications such as PowerDNS, etc.

%prep

%setup -q -n %{name}-%{version}
%patch0 -p0

# clean up CVS stuff
for i in `find . -type d -name CVS` `find . -type f -name .cvs\*` `find . -type f -name .#\*`; do
    if [ -e "$i" ]; then rm -r $i; fi >&/dev/null
done

%build

%serverbuild

%make CFLAGS="%{optflags} -fPIC" CXXFLAGS="%{optflags} -fPIC"

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_libdir}
install -d %{buildroot}%{_includedir}/pgsql/libpq++

install -m644 libpq++.h %{buildroot}%{_includedir}/pgsql/
install -m644 pgconnection.h %{buildroot}%{_includedir}/pgsql/libpq++/
install -m644 pgdatabase.h %{buildroot}%{_includedir}/pgsql/libpq++/
install -m644 pgtransdb.h %{buildroot}%{_includedir}/pgsql/libpq++/
install -m644 pgcursordb.h %{buildroot}%{_includedir}/pgsql/libpq++/
install -m644 pglobject.h %{buildroot}%{_includedir}/pgsql/libpq++/

install -m755 libpq++.so.4.0 %{buildroot}%{_libdir}/
install -m755 libpq++.a %{buildroot}%{_libdir}/
ln -s libpq++.so.4.0 %{buildroot}%{_libdir}/libpq++.so.4
ln -s libpq++.so.4.0 %{buildroot}%{_libdir}/libpq++.so

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post -n %{finalname} -p /sbin/ldconfig
%postun -n %{finalname} -p /sbin/ldconfig

%post -n %{finalname}-devel -p /sbin/ldconfig
%postun -n %{finalname}-devel -p /sbin/ldconfig

%files -n %{finalname}
%defattr(-,root,root)
%doc CHANGES README
%{_libdir}/lib*.so.*

%files -n %{finalname}-devel
%defattr(-,root,root)
%doc docs/*
%{_includedir}/pgsql/*.h
%{_includedir}/pgsql/libpq++/*.h
%{_libdir}/lib*.so

%files -n %{finalname}-static-devel
%defattr(-,root,root)
%{_libdir}/lib*.a

%changelog
* Sat Jan 18 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.0-1mdk
- initial cooker contrib
- added P0
